Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::ZVRParser Class Reference

`#include <ZVRParser.h>`

## Public Member Functions
| ZVRParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=0)
bool | parse ()

## Private Member Functions
| ZVRParser (const ZVRParser &other)
ZVRParser & | operator= (const ZVRParser &other)
void | readReplacementTable ()
boost::shared_ptr< librevenge::RVNGInputStream > | uncompress ()
void | writeText (boost::shared_ptr< librevenge::RVNGInputStream > input)

## Private Attributes
librevenge::RVNGInputStream *const | m_input
librevenge::RVNGTextInterface *const | m_document
std::string | m_replacementTable [256]

## Constructor & Destructor Documentation

## § ZVRParser() [1/2]

libebook::ZVRParser::ZVRParser | ( | const ZVRParser & | other | ) |
| private

## § ZVRParser() [2/2]

libebook::ZVRParser::ZVRParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |

## Member Function Documentation

## § operator=()

ZVRParser& libebook::ZVRParser::operator= | ( | const ZVRParser & | other | ) |
| private

## § parse()

bool libebook::ZVRParser::parse | ( |  | ) |

## § readReplacementTable()

void libebook::ZVRParser::readReplacementTable | ( |  | ) |
| private

Referenced by parse().

## § uncompress()

shared_ptr< librevenge::RVNGInputStream > libebook::ZVRParser::uncompress | ( |  | ) |
| private

Referenced by parse().

## § writeText()

void libebook::ZVRParser::writeText | ( | boost::shared_ptr< librevenge::RVNGInputStream > | input | ) |
| private

Referenced by parse().

## Member Data Documentation

## § m_document

librevenge::RVNGTextInterface* const libebook::ZVRParser::m_document
| private

Referenced by parse(), and writeText().

## § m_input

librevenge::RVNGInputStream* const libebook::ZVRParser::m_input
| private

Referenced by readReplacementTable(), and uncompress().

## § m_replacementTable

std::string libebook::ZVRParser::m_replacementTable[256]
| private

Referenced by readReplacementTable(), and uncompress().

The documentation for this class was generated from the following files:

- ZVRParser.h
- ZVRParser.cpp